Summary: A utility for displaying and/or setting hard disk parameters.
Name: hdparm
Version: 5.4
Release: 1.XOS.1
License: BSD
Group: Applications/System
Source: http://www.ibiblio.org/pub/Linux/system/hardware/hdparm-%{version}.tar.gz
Source1: hdparm-sysconfig
Patch0: hdparm-3.3.sparc.patch
Patch1: hdparm-3.9-kernel23.patch
Patch2: hdparm-5.4-renamevar.patch
Buildroot: %{_tmppath}/%{name}-%{version}-root
ExcludeArch: s390 s390x

%description
Hdparm is a useful system utility for setting (E)IDE hard drive
parameters.  For example, hdparm can be used to tweak hard drive
performance and to spin down hard drives for power conservation.

%prep
%setup -q
#%patch0 -p1 -b .sparc
#%patch1 -p1 -b .kernel23
%patch2 -p1 -b .renamevar

%build
perl -pi -e "s,-O2,$RPM_OPT_FLAGS,g" Makefile
make

%install
mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT/usr/doc
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man8
install -c -s -m 755 hdparm $RPM_BUILD_ROOT/sbin/hdparm
install -c -m 644 hdparm.8 $RPM_BUILD_ROOT/%{_mandir}/man8
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig
install -m 644 %SOURCE1 $RPM_BUILD_ROOT/etc/sysconfig/harddisks

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc hdparm.lsm Changelog
%config(noreplace) /etc/sysconfig/harddisks
/sbin/hdparm
%{_mandir}/man8/hdparm.8*

%changelog
* Fri Aug 20 2004 X/OS Linux Team <xoslinux@xos.nl> 5.4-1.XOS.1
- Build for X/OS Linux 3.0.
- X/OS Linux source rpm based on hdparm-5.4-1.src.rpm
  (md5sum of original source rpm: 5503ed57376e4d9fd1aa2760c882d99d).
- Rename some variables because of kernel naming conflict
  (patch copied from Fedora Core 2's hdparm-5.5-1.src.rpm).

* Wed Jun 04 2003 Karsten Hopp <karsten@redhat.de> 5.4-1
- update
- #92057

* Wed Apr 23 2003 Karsten Hopp <karsten@redhat.de> 5.3-2
- rebuild

* Wed Apr 23 2003 Karsten Hopp <karsten@redhat.de> 5.3-1
- update to 5.3
- add comment to /etc/sysconfig/harddisks

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Thu Dec 12 2002 Tim Powers <timp@redhat.com> 5.2-3
- rebuild on all arches

* Tue Nov 19 2002 Tim Powers <timp@redhat.com>
- rebuild on all arches

* Wed Jun 26 2002 Karsten Hopp <karsten@redhat.de>
- update to 5.2 with the following fixes:
 - v5.2 compile fixes for 2.5.xx
 - v5.1 fixed segfault in "-i" on older drives
 - v5.0 lots of updates and new features
 - v4.9 fixed compile error with 2.5.xx kernels
 - v4.8 changed -Q to allow specifying queue depth
 - v4.7 added -z, -Q, -M flags; expanded parm range for -p

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri Feb 22 2002 Karsten Hopp <karsten@redhat.de>
- bump version for 8.0

* Fri Feb 22 2002 Karsten Hopp <karsten@redhat.de>
- rebuild in new environment

* Wed Jan 23 2002 Karsten Hopp <karsten@redhat.de> (4.6-1)
- Update to 4.6

* Mon Oct 01 2001 Karsten Hopp <karsten@redhat.de>
- fix name of doc file  (#54137)

* Fri Jul 20 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- exclude s390,s390x

* Mon Jun 25 2001 Karsten Hopp <karsten@redhat.de>
- update to version 4.1
- update URL

* Wed Jul 19 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- disable readahead (#14268)
- add comment in /etc/sysconfig/harddisks about possible extra parameters

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Wed Jul 12 2000 Trond Eivind Glomsrd <teg@redhat.com>
- disable 32 bit interfacing (#13730)

* Tue Jun 27 2000 Trond Eivind Glomsrd <teg@redhat.com>
- use %%{_tmppath}
- add /etc/sysconfig/harddisks, a new file for hardisk 
  optimization parameters

* Mon Jun 18 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- FHSify

* Sun Apr  9 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- Fix compilation with kernel 2.3.*

* Thu Feb 17 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- 3.9
- handle RPM_OPT_FLAGS

* Thu Feb 17 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- Use O_NONBLOCK when opening devices so we can manipulate CD-ROM drives
  with no media inserted, even when running a current kernel (Bug #6457)

* Sat Feb  5 2000 Bill Nottingham <notting@redhat.com>
- build as non-root user (#6458)

* Fri Feb  4 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- deal with RPM compressing man pages

* Fri Nov 19 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- 3.6

* Thu Aug 12 1999 Cristian Gafton <gafton@redhat.com>
- version 3.5

* Wed Mar 24 1999 Cristian Gafton <gafton@redhat.com>
- added patches from UP

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Tue Dec 29 1998 Cristian Gafton <gafton@redhat.com>
- build for 6.0

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 08 1998 Erik Troan <ewt@redhat.com>
- updated to 3.3
- build rooted

* Fri Oct 31 1997 Donnie Barnes <djb@redhat.com>
- fixed spelling error in summary

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc

